| GET | /RestApi/sitefinity/data-intelligence/content-analysis-progress |
|---|
"use strict";
export class DECEnableContentAnalysisDto {
/** @param {{Progress?:number,DataCenterApiKey?:string,SiteNames?:string[],StatusMessage?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {number} */
Progress;
/** @type {string} */
DataCenterApiKey;
/** @type {string[]} */
SiteNames;
/** @type {string} */
StatusMessage;
}
export class DECMonitorContentAnalysisDto {
/** @param {{DataCenterProgress?:DECEnableContentAnalysisDto[]}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {DECEnableContentAnalysisDto[]} */
DataCenterProgress;
}
JavaScript DECMonitorContentAnalysisDto DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/data-intelligence/content-analysis-progress HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
DataCenterProgress:
[
{
Progress: 0,
DataCenterApiKey: String,
SiteNames:
[
String
],
StatusMessage: String
}
]
}